HP 2013.2 and GHC 7.6.2

Duncan Coutts duncan.coutts at googlemail.com
Wed Apr 17 15:48:26 CEST 2013

On Tue, 2013-04-16 at 20:44 -0700, Mark Lentczner wrote:
> Can anyone comment on the state of cabal, and in particular the version
> that was shipped with 7.6.2?

GHC-7.6.1 shipped with Cabal-1.16.0

We subsequently found a few bugs and released Cabal- (
was the brown paper bag release, oops). We (cabal devs) assumed that
GHC-7.6.2 would just automatically pick up the latest bug fix release in
the Cabal-1.16.0.x series but for some reason that did not happen.

Yes ideally we should be using Cabal- and if there is a
GHC-7.6.3 then that should certainly use Cabal-

In the absence of a GHC-7.6.3, I'm not sure if it's practical for the HP
to bump the Cabal version.


More information about the Libraries mailing list